<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include
        android:id="@+id/titleBarLayout"
        layout="@layout/include_base_title" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="30dp">

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/originalLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:endIconMode="password_toggle">

                <EditText
                    android:id="@+id/originalEditView"
                    style="@style/inputEditTextStyle"
                    android:hint="请输入原密码"
                    android:imeOptions="actionDone"
                    android:inputType="textPassword"
                    android:paddingHorizontal="5dp"
                    android:singleLine="true"
                    android:textSize="@dimen/titleFontSize"
                    android:theme="@style/EditTextTheme" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/newPsdLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/margin_10dp"
                app:counterEnabled="true"
                app:counterMaxLength="12"
                app:endIconMode="password_toggle"
                app:errorEnabled="true"
                app:helperText="请输入6-12位数字字母组合"
                app:helperTextEnabled="true">

                <EditText
                    android:id="@+id/newEditView"
                    style="@style/inputEditTextStyle"
                    android:hint="请输入新密码"
                    android:imeOptions="actionDone"
                    android:inputType="textPassword"
                    android:paddingHorizontal="5dp"
                    android:singleLine="true"
                    android:textSize="@dimen/titleFontSize"
                    android:theme="@style/EditTextTheme" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/confirmPsdLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:counterEnabled="true"
                app:counterMaxLength="12"
                app:endIconMode="password_toggle"
                app:errorEnabled="true">

                <EditText
                    android:id="@+id/confirmEditView"
                    style="@style/inputEditTextStyle"
                    android:hint="请确认新密码"
                    android:imeOptions="actionDone"
                    android:inputType="textPassword"
                    android:paddingHorizontal="5dp"
                    android:singleLine="true"
                    android:textSize="@dimen/titleFontSize"
                    android:theme="@style/EditTextTheme" />
            </com.google.android.material.textfield.TextInputLayout>
        </LinearLayout>

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
            android:id="@+id/changePasswordButton"
            style="@style/roundButtonStyle"
            android:layout_margin="30dp"
            android:text="确认修改" />
    </LinearLayout>
</LinearLayout>